/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/src/utils/menusystem/alert.cpp

*/

#include "sgx/core/core.hpp"
#include "utils/menusystem/menusystem.hpp"

tBOOL 
sgxGameAlertCallbackHandler::onGameAlertPrepareAlert(CGameMenuHandler *pHandler)  { 
	SGX_UNUSED(pHandler);
	return TRUE; 
}

tBOOL 
sgxGameAlertCallbackHandler::onGameAlertGetCaptionPosition(const CGameMenuHandler *p, sgxPoint2i &pos, const char *pCaption) const {
	SGX_UNUSED(p);
	SGX_UNUSED(pos);
	SGX_UNUSED(pCaption);
	return TRUE; 
}

tBOOL 
sgxGameAlertCallbackHandler::onGameAlertGetQuestionPosition(const CGameMenuHandler *p, sgxPoint2i &pos, const char *pQuestion) const {
	SGX_UNUSED(p);
	SGX_UNUSED(pos);
	SGX_UNUSED(pQuestion);
	return TRUE; 
}


tBOOL 
sgxGameAlertCallbackHandler::onGameAlertGetWidgetPosition(const CGameMenuHandler *p, sgxPoint2i &pos, const tUINT32 idx, const tUINT32 numOptions, const sgxWidget *pWidget) const {
	SGX_UNUSED(p);
	SGX_UNUSED(pos);
	SGX_UNUSED(idx);
	SGX_UNUSED(numOptions);
	SGX_UNUSED(pWidget);
	return TRUE; 
}



tBOOL 
sgxGameAlertCallbackHandler::onGameAlertDrawAlert(const CGameMenuHandler *pHandler) const { 
	SGX_UNUSED(pHandler);
	return TRUE; 
}

tBOOL 
sgxGameAlertCallbackHandler::onGameAlertUpdateAlert(CGameMenuHandler *pHandler, const tREAL32 telaps) { 
	SGX_UNUSED(pHandler);
	SGX_UNUSED(telaps);
	return TRUE; 
}

tBOOL 
sgxGameAlertCallbackHandler::onGameAlertOptionSelect(CGameMenuHandler *pHandler, const tINT32 opt) { 
	SGX_UNUSED(pHandler);
	SGX_UNUSED(opt);
	return TRUE; 
}


CSGXAlert::CSGXAlert(CSGXMenu *pMenu) :
	m_pNextMenu(pMenu) {
}

CSGXAlert::CSGXAlert(const sgxString &message, const sgxString &title, CSGXMenu *pMenu) :
	m_Message(message),
	m_Title(title),
	m_pNextMenu(pMenu) {
}
